Bug 190083 - [stage] Add staging support to www/foswiki
Summary: [stage] Add staging support to www/foswiki
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-21 20:20 UTC by joe
Modified: 2014-09-06 05:16 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (5.69 KB, patch)
2014-05-21 20:20 UTC, joe
no flags Details | Diff
Stage support to foswiki (5.73 KB, patch)
2014-06-26 23:37 UTC, joe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joe 2014-05-21 20:20:00 UTC
Adds staging support to www/foswiki.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-21 20:20:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2014-06-06 04:04:06 UTC
patch apply not clean in files/pkg-install.in. 
how about using @sample in plist?
Comment 3 joe 2014-06-26 23:37:17 UTC
Created attachment 144178 [details]
Stage support to foswiki
Comment 4 Martin Wilke freebsd_committer 2014-06-28 04:40:05 UTC
Files/pkg* reject.
Comment 5 joe 2014-06-28 15:33:33 UTC
files/pkg-install.in needs deleted. Everything else is OK about the patch.
Comment 6 John Marino freebsd_committer 2014-08-05 13:54:29 UTC
I would have liked to have seen test logs and an updated patch that deletes pkg-install.in, but I'll move it to patch-ready in case a committer want to risk it.
Comment 7 John Marino freebsd_committer 2014-08-06 21:48:57 UTC
and I guess it falls back to me...
Comment 8 John Marino freebsd_committer 2014-08-06 22:08:30 UTC
(In reply to joe from comment #5)
> files/pkg-install.in needs deleted. Everything else is OK about the patch.


hmmm, it applied for me ok (pkg-install.in was deleted too).  There was a little fuzz on the Makefile but no rejected hunks.  I used svn patch though.
Comment 9 John Marino freebsd_committer 2014-08-06 22:16:46 UTC
I did some minor tweaks to make portlint happy, and I removed not one but two extra <pre> inclusions, but FYI it didn't pass all checks:

===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%WWWDIR%%/lib/LocalSite.cfg.sample
===> Checking for directories owned by MTREEs
===> Checking for directories handled by dependencies
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %sample %WWWDIR%%/lib/LocalSite.cfg.sample
Error: Missing: @comment %%CONFDIR%%/foswiki.conf.sample
===> Error: Plist issues found.
*** Error code 1


Let's see how hard it is to clean up...
Comment 10 John Marino freebsd_committer 2014-08-06 22:29:47 UTC
I got those fixed, but %%WWWOWN%% and %%WWWGRP%% were never defined in PLIST_SUB.
Comment 11 John Marino freebsd_committer 2014-08-06 22:33:22 UTC
The fun never stops...


====>> Checking for extra files and directories
====>> Installing from package
find: www/foswiki: No such file or directory
find: www/foswiki/data: No such file or directory
find: www/foswiki/data: No such file or directory
find: www/foswiki/pub: No such file or directory
find: www/foswiki/lib: No such file or directory
find: www/foswiki/locale: No such file or directory
find: www/foswiki/pub: No such file or directory
find: www/foswiki/bin: No such file or directory
find: www/foswiki/templates: No such file or directory
find: www/foswiki/tools: No such file or directory
chmod: www/foswiki/data/mime.types: No such file or directory
Comment 12 John Marino freebsd_committer 2014-08-06 22:36:02 UTC
All this @exec find stuff has to go, use @mode instead.  Yuck.
Comment 13 commit-hook freebsd_committer 2014-08-06 23:02:46 UTC
A commit references this bug:

Author: marino
Date: Wed Aug  6 23:02:17 UTC 2014
New revision: 364229
URL: http://svnweb.freebsd.org/changeset/ports/364229

Log:
  Stage www/foswiki

  PR:		190083
  Submitted by:	Joe (thralling.com)
  Tons of TLC:	marino

Changes:
  head/www/foswiki/Makefile
  head/www/foswiki/bsd.foswiki.mk
  head/www/foswiki/files/pkg-install.in
  head/www/foswiki/pkg-plist
Comment 14 John Marino freebsd_committer 2014-08-06 23:06:26 UTC
The original line was this:

@unexec if [ "`md5 -q %D/%%WWWDIR%%/lib/LocalSite.cfg`" = "c648a70f925757e7e982a5a13d47cfe7" ]; then rm -f %D/%%WWWDIR%%/lib/LocalSite.cfg; fi	


The new line was:
%sample %WWWDIR%%/lib/LocalSite.cfg.sample

You probably meant:
@sample %WWWDIR%%/lib/LocalSite.cfg.sample


But it wouldn't have worked anyway because it only works on files ending in "conf.sample", not "cfg.sample".

Right now LocalSite.cfg isn't handled at all, if it exists.


We really need to get you on poudriere.  :)